View Issue Details

IDProjectCategoryView StatusLast Update
0031632LazarusPackagespublic2017-04-10 00:14
ReporterCudaText man Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux x64 gtk2 
Product Version1.7 (SVN) 
Summary0031632: ListFilterEdit/ ListviewFilterEdit don't apply filter on form show
DescriptionDemo app: on show, both filters have "aa",
and they don't filter Listbox/listview.
Expected: they filter on show.
TagsNo tags attached.
Fixed in Revisionr54594, r54597
LazTarget-
Widgetset
Attached Files

Activities

CudaText man

2017-04-04 16:10

reporter  

tst-filter.zip (3,662 bytes)

Juha Manninen

2017-04-09 19:26

developer   ~0099527

Fixed, please test.

CudaText man

2017-04-09 20:12

reporter  

tree.diff (495 bytes)   
Index: components/lazcontrols/treefilteredit.pas
===================================================================
--- components/lazcontrols/treefilteredit.pas	(revision 54596)
+++ components/lazcontrols/treefilteredit.pas	(working copy)
@@ -449,6 +449,7 @@
   end;
   fFilteredTreeview := AValue;
   if fFilteredTreeview <> nil then begin
+    Filter := Text;
     fFilteredTreeview.FreeNotification(Self);
     fFilteredTreeview.AddHandlerOnBeforeDestruction(@OnBeforeTreeDestroy);
   end;
tree.diff (495 bytes)   

CudaText man

2017-04-09 20:12

reporter   ~0099531

Added diff for TTreeFilterEdit.

Juha Manninen

2017-04-10 00:14

developer   ~0099534

Thanks.

Issue History

Date Modified Username Field Change
2017-04-04 16:09 CudaText man New Issue
2017-04-04 16:10 CudaText man File Added: tst-filter.zip
2017-04-09 18:07 Juha Manninen Assigned To => Juha Manninen
2017-04-09 18:07 Juha Manninen Status new => assigned
2017-04-09 19:26 Juha Manninen Fixed in Revision => r54594
2017-04-09 19:26 Juha Manninen LazTarget => -
2017-04-09 19:26 Juha Manninen Note Added: 0099527
2017-04-09 19:26 Juha Manninen Status assigned => resolved
2017-04-09 19:26 Juha Manninen Resolution open => fixed
2017-04-09 20:01 CudaText man Status resolved => assigned
2017-04-09 20:01 CudaText man Resolution fixed => reopened
2017-04-09 20:12 CudaText man File Added: tree.diff
2017-04-09 20:12 CudaText man Note Added: 0099531
2017-04-10 00:14 Juha Manninen Fixed in Revision r54594 => r54594, r54597
2017-04-10 00:14 Juha Manninen Note Added: 0099534
2017-04-10 00:14 Juha Manninen Status assigned => resolved
2017-04-10 00:14 Juha Manninen Resolution reopened => fixed